<template>
	<div class="room">
		<div class="container">
			<div class="col-md-5">
				<img src="@/assets/hotelmonth.jpg" class="img-rounded img-responsive">
			</div>
			<div class="col-md-7">
				<h4>{{room.name}} <p class="label label-default">{{room.quantity}} available</p></h4>
				<br>
				<p>{{room.size}}m</p>
				<p>{{room.bed}}</p>
				<p v-for="(facility,key1) in room.facilities">{{facility.name}} included</p>
				<p v-for="(availableFacility,key2) in room.availableFacilities">{{availableFacility.name}} excluded</p>

				<button class="btn btn-danger" v-on:click="book()">€{{room.price}},- per night</button>
			</div>

		</div>
	</div>
</template>

<script>
	
	export default {
		props: {
			room: {
				type: Object,
				required: true
			},
		},
		methods: {
			book(){
				if(this.room.quantity > 0){					
					this.$emit("step:bookRoom");
					this.room.quantity--;
				}
			}
		}
	}

</script>

<style scoped>
	.container{
	margin-bottom: 30px;
}
</style>